Bug 835580 - JTA setup: UserTransaction should be marked for rollback if IdentityException is thrown
JTA setup: UserTransaction should be marked for rollback if IdentityException...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.ER02
Unspecified Unspecified
unspecified Severity medium
: ---
: 5.2.2.ER01
Assigned To: mposolda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 10:18 EDT by mposolda
Modified: 2015-08-31 23:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8747 by mposolda at 2012-06-26 10:25:04 EDT (show)
8747 by mposolda at 2012-06-26 10:25:04 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 835580 - UserTransaction should be marked for rollback if IdentityException is thrown. Added new abstract class for general operations like exception handling.

7 files changed:

  • epp/portal/branches/EPP_5_2_Branch/component/identity/src/main/java/org/exoplatform/services/organization/idm/AbstractDAOImpl.java (+72 / -0)
  • epp/portal/branches/EPP_5_2_Branch/component/identity/src/main/java/org/exoplatform/services/organization/idm/GroupDAOImpl.java (+22 / -29)
  • epp/portal/branches/EPP_5_2_Branch/component/identity/src/main/java/org/exoplatform/services/organization/idm/MembershipDAOImpl.java (+22 / -28)
  • epp/portal/branches/EPP_5_2_Branch/component/identity/src/main/java/org/exoplatform/services/organization/idm/MembershipTypeDAOImpl.java (+2 / -9)
  • epp/portal/branches/EPP_5_2_Branch/component/identity/src/main/java/org/exoplatform/services/organization/idm/PicketLinkIDMOrganizationServiceImpl.java (+1 / -1)
  • epp/portal/branches/EPP_5_2_Branch/component/identity/src/main/java/org/exoplatform/services/organization/idm/UserDAOImpl.java (+14 / -20)
  • epp/portal/branches/EPP_5_2_Branch/component/identity/src/main/java/org/exoplatform/services/organization/idm/UserProfileDAOImpl.java (+7 / -14)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2483 Major Resolved JTA setup: UserTransaction should be marked for rollback if IdentityException is thrown 2014-02-07 13:24:44 EST

  None (edit)
Description mposolda 2012-06-26 10:18:47 EDT
In exception block of DAO classes for PL IDM integration (UserDAOImpl, GroupDAOImpl etc), there should be snipets in catch block, which will mark JTA transaction for rollback (if JTA setup is enabled).

I am adding new abstract class AbstractDAOImpl, with general functionality for handling exception.

Note You need to log in before you can comment on or make changes to this bug.